DynamicJava Javadoc: Class VariableContext.Variable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.context
Class VariableContext.Variable

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.context.VariableContext.AbstractVariable
            |
            +--koala.dynamicjava.interpreter.context.VariableContext.Variable

Enclosing class:
  VariableContext

protected static class VariableContext.Variable
extends VariableContext.AbstractVariable

To store the variables

Fields inherited from class koala.dynamicjava.interpreter.context.VariableContext.AbstractVariable
`name`

Constructor Summary
`VariableContext.Variable(java.lang.String s)` Creates a new variable

Method Summary
`java.lang.Object` | `get(VariableContext ctx)` Sets the variable in the current scope
`void` | `set(VariableContext ctx, java.lang.Object value)` Sets the variable in the current scope

Methods inherited from class koala.dynamicjava.interpreter.context.VariableContext.AbstractVariable
`hashCode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableContext.Variable

    public VariableContext.Variable(java.lang.String s)

  Creates a new variable

Method Detail

### set

    public void set(VariableContext ctx,
                    java.lang.Object value)

  Sets the variable in the current scope
  Overrides:
    `set` in class `VariableContext.AbstractVariable`

### get

    public java.lang.Object get(VariableContext ctx)

  Sets the variable in the current scope
  Overrides:
    `get` in class `VariableContext.AbstractVariable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.